CREATE OR REPLACE VIEW VW_FCO_PI_PENS_RT2 AS
SELECT
    compania, anio, mes, sucursal, trabajador, secuencia, 
    '02' || 
    rtrim(ltrim(to_char(secuencia, '0000000'))) || 
    fn_fco_valida_nombre(RPAD(pens_ape1, 20, ' ')) ||
    fn_fco_valida_nombre(RPAD(pens_ape2, 30, ' ')) ||
    fn_fco_valida_nombre(RPAD(pens_nom1, 20, ' ')) ||
    fn_fco_valida_nombre(RPAD(pens_nom2, 30, ' ')) ||
    pens_tdoc ||
    RPAD(pens_id, 16, ' ') || 
    rtrim(ltrim(TO_CHAR(tipo_pension, '00'))) || 
    pension_compartida ||
    fn_fco_valida_nombre(RPAD(caus_ape1, 20, ' ')) ||
    fn_fco_valida_nombre(RPAD(caus_ape2, 30, ' ')) ||
    fn_fco_valida_nombre(RPAD(caus_nom1, 20, ' ')) ||
    fn_fco_valida_nombre(RPAD(caus_nom2, 30, ' ')) ||
    caus_tdoc ||
    RPAD(caus_id, 16, ' ') ||
    tipo_pensionado ||
    residente_en_exterior || 
    departamento || 
    municipio || 
    situa_en_exterior ||
    nov_ING || nov_RET || nov_TDE || nov_TAE || nov_TDP || nov_TAP || nov_VSP || nov_SUS || 
    rpad(fn_fco_cod_super('AFP', cod_AFP), 6, ' ') || RPAD(cod_AFP_Tras, 6, ' ') || 
    rpad(fn_fco_cod_super('EPS', cod_EPS), 6, ' ') || RPAD(cod_EPS_Tras, 6, ' ') || 
    rpad(fn_fco_cod_super('CCF', cod_CCF), 6, ' ') || 
    RTRIM(LTRIM(TO_CHAR(dias_AFP, '00'))) || 
    RTRIM(LTRIM(TO_CHAR(dias_FSP, '00'))) || 
    RTRIM(LTRIM(TO_CHAR(dias_EPS, '00'))) || 
    RTRIM(LTRIM(TO_CHAR(dias_CCF, '00'))) || 
    RTRIM(LTRIM(TO_CHAR(mesada, '000000000'))) || 
    RTRIM(LTRIM(TO_CHAR(tarifa_AFP, '0.00000'))) ||
    RTRIM(LTRIM(TO_CHAR(aporte_AFP, '000000000'))) || 
    RTRIM(LTRIM(TO_CHAR(voluntario_AFP, '000000000'))) || 
    RTRIM(LTRIM(TO_CHAR(aporte_total_AFP, '000000000'))) || 
    RTRIM(LTRIM(TO_CHAR(valor_no_retenido, '000000000'))) || 
    RTRIM(LTRIM(TO_CHAR(aporte_FSP_sol, '0000000'))) || 
    RTRIM(LTRIM(TO_CHAR(aporte_FSP_sub, '0000000'))) || 
    RTRIM(LTRIM(TO_CHAR(tarifa_FSP, '0000000'))) ||
    RTRIM(LTRIM(TO_CHAR(tarifa_EPS, '0.00000'))) ||
    RTRIM(LTRIM(TO_CHAR(aporte_EPS, '000000000'))) || 
    RTRIM(LTRIM(TO_CHAR(UPC_adicional, '000000000'))) || 
    RTRIM(LTRIM(TO_CHAR(tarifa_CCF, '0.00000'))) ||
    RTRIM(LTRIM(TO_CHAR(aporte_CCF, '000000000'))) registro2
FROM fco_pi_pens_rt2
WHERE eliminada = 0
AND aporte_EPS + aporte_AFP + aporte_CCF <> 0

